### Function

# EDataServer debug_logv

since: 2.32

#### Declaration [src]

    void
    e_debug_logv (
      gboolean is_milestone,
      const gchar* domain,
      const gchar* format,
      va_list args
    )

#### Description [src]

Records debug information for the given `domain`, if enabled, or always, when `is_milestone` is set to TRUE.

Available since: 2.32

This function is not directly available to language bindings.

#### Parameters

`is_milestone`

  Type: `gboolean`

  The debug information is a milestone.

`domain`

  Type: `const gchar*`

  For which domain the debug information belongs.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  Print format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  Arguments for the format.